## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNodeSetResultTreeFragProxy Class Reference

`#include <XNodeSetResultTreeFragProxy.hpp>`

Inheritance diagram for XNodeSetResultTreeFragProxy:

[legend]
Collaboration diagram for XNodeSetResultTreeFragProxy:

[legend]
List of all members.

## Public Methods

- XNodeSetResultTreeFragProxy (const XNodeSetBase &value)
- virtual ~XNodeSetResultTreeFragProxy ()
- virtual XalanNode* getFirstChild () const
    Gets the first child of this node. More...
- virtual XalanNode* getLastChild () const
    Gets the last child of this node. More...
- virtual XNodeSetResultTreeFragProxy* cloneNode (bool deep) const
    Returns a duplicate of this node. More...
- virtual bool hasChildNodes () const
    This is a convenience method to allow easy determination of whether a node has any children. More...
- virtual XNodeSetResultTreeFragProxy* clone (bool deep) const

## Constructor & Destructor Documentation

XNodeSetResultTreeFragProxy::XNodeSetResultTreeFragProxy ( | const XNodeSetBase & value )

XNodeSetResultTreeFragProxy::~XNodeSetResultTreeFragProxy ( | )`[virtual]`

## Member Function Documentation

XNodeSetResultTreeFragProxy * XNodeSetResultTreeFragProxy::clone ( | bool deep ) const`[virtual]`

| Reimplemented from XObjectResultTreeFragProxyBase.

XNodeSetResultTreeFragProxy * XNodeSetResultTreeFragProxy::cloneNode ( | bool deep ) const`[virtual]`

Returns a duplicate of this node.

This function serves as a generic copy constructor for nodes.

The duplicate node has no parent ( `parentNode` returns `null`.).
Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node.

Parameters:

  deep | If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).

Returns:
  The duplicate node.

Reimplemented from XObjectResultTreeFragProxyBase.

XalanNode * XNodeSetResultTreeFragProxy::getFirstChild ( | ) const`[virtual]`

| Gets the first child of this node. If there is no such node, this returns `null`. Reimplemented from XObjectResultTreeFragProxyBase.

XalanNode * XNodeSetResultTreeFragProxy::getLastChild ( | ) const`[virtual]`

| Gets the last child of this node. If there is no such node, this returns `null`. Reimplemented from XObjectResultTreeFragProxyBase.

bool XNodeSetResultTreeFragProxy::hasChildNodes ( | ) const`[virtual]`

This is a convenience method to allow easy determination of whether a node has any children.

Returns:
  `true` if the node has any children, `false` if the node has no children.

Reimplemented from XObjectResultTreeFragProxyBase.

The documentation for this class was generated from the following file:

- XNodeSetResultTreeFragProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.